package model

const (
	SERVER_CONFIG         = "config.yaml"
	SERVER_DUBBOGO_CONFIG = "dubbogo.yaml"
	MODE_ENV              = "MODE_ENV"
)

const (
	HttpType        = "http://"
	HttpsType       = "https://"
	TmpArtworkDir   = "./runtime/tmp/artworks"
	TmpArtistDir    = "./runtime/tmp/artists"
	MediaPath       = "./runtime/"
	TplPath         = "./data/"
	ImgActionRotate = "rotate" //旋转
	MediaTypeVideo  = "video"
	MediaTypeImage  = "video"
)

type Response struct {
	Status int         `json:"status"`
	Data   interface{} `json:"data"`
	Msg    string      `json:"msg"`
	Code   int         `json:"code"`
	Error  error       `json:"error"`
	Err    string      `json:"err"`
	Keys   []string    `json:"keys"`
	Mark   string      `json:"mark,omitempty"`
	Page   *PageInfo   `json:"page,omitempty"`
}

type PageInfo struct {
	Page     int32 `json:"page" query:"page"`
	PageSize int32 `json:"pageSize" query:"pageSize"`
	Total    int32 `json:"total"`
}
